%nonradical_example4 with perturbation
%

clear all; clc;
startintlab;
format long;


syms x1 x2

%The list of the equations:
f1 = (x1-x2)*(x1+x2)^2*(x1+x2^2+x2) + 1e-20;
f2 = (x1-x2)*(x1+x2)^2*(x1^2+x2^2);

% Initialize the option and set the solver 
t = 3; % t is the order
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
option.refine = true;

% Constructing the vector
K=[f1,f2];


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(K,option,t)
t1=cputime-t0;
output('res_nonradical_example4_msdp_pert',out,vars,t1);




